Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Create new electric conduit connection

Prev Next
Post
/el_conduit_connections/

Operation is used to create new electric conduit connection. Available from product version 3.2.2.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Body parameters

Electric Conduit Connection to be created

object
conduit
integer Required

Electric Conduit id

direction
string Required

which end of the electric conduit is object connected (Beginning or End)

Valid values[ "B", "E" ]
manhole
integer Required

Electric Manhole id

Responses
201

A created Electric Conduit Connection

{
  "conduit": 78090,
  "direction": "B",
  "id": 6801,
  "manhole": 90081,
  "pole": null,
  "streetlight": null
}
object
conduit
integer

Electric Conduit id

direction
string

which end of the electric conduit is object connected (Beginning or End)

Valid values[ "B", "E" ]
id
integer

Primary key

manhole
integer

Electric Manhole id

400

There was an error in request. Usually field validation failed.

{
  "conduit": [
    "This field is required."
  ],
  "direction": [
    "This field is required."
  ],
  "manhole": [
    "This field is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object
details
string

Detailed description of error